import { ReactNode } from "react";
import { useTranslation } from "react-i18next";

function Screening() {
  const {t} = useTranslation();
  return (
    <>
      <h1>{t("pages.screening.title")}</h1>
      <UniverseSpec/>
      <EvaluationSpec/>
      <FilterOutSpec/>
    </>
  );
}
export default Screening;

function UniverseSpec() {
  const {t} = useTranslation();
  return (
    <FilterBox
      title={t("pages.screening.universe.title")}
      desc={t("pages.screening.universe.desc")}
    >
      <select>
        <option>{t("pages.screening.universe.type.listed")}</option>
      </select>
      <label><input type="checkbox" />{t("terms.toshoGrowth")}</label>
      <label><input type="checkbox" />{t("terms.toshoStandard")}</label>
      <label><input type="checkbox" />{t("terms.toshoPrime")}</label>
    </FilterBox>
  );
}

function EvaluationSpec() {
  const {t} = useTranslation();
  return (
    <FilterBox
      title={t("pages.screening.evaluation.title")}
      desc={t("pages.screening.evaluation.desc")}
    >
      <ol>
      {
        [...Array(3)].map((_,i)=>(
          <li>
            <input type="text" placeholder={t("pages.screening.evaluation.columnName")} />
            =
            <select>
              <option>{t("terms.stock.volume")}</option>
              <option>{t("terms.stock.price")}</option>
            </select>
            <a href="#">remove</a>
          </li>
        ))
      }
        <li>
          <a href="#">add</a>
        </li>
      </ol>
    </FilterBox>
  );
}

function FilterOutSpec() {
  const {t} = useTranslation();
  return (
    <FilterBox
      title={t("pages.screening.filterOut.title")}
      desc={t("pages.screening.filterOut.desc")}
    >
      <textarea />
    </FilterBox>
  );
}

type FilterBoxProps = {
  title: string,
  desc: string,
  children: ReactNode,
};
function FilterBox({title, desc, children}: FilterBoxProps) {
  const {t} = useTranslation();
  return (
    <div>
      <div>
        <div>
          <h2>{title}</h2>
          <p>{desc}</p>
        </div>
        <div>
          <a href="#">{t("pages.screening.rerun")}</a>
        </div>
      </div>
      <div>{children}</div>
    </div>
  );
}
